Subject: private netdev flags into UAPI?

From: Or Gerlitz <[email-masked]>
Date: Sun, 25 Nov 2012 09:43:23 +0200

not sure if this has been brought up before, but I realized that the 
private IFF_yyy netdevice flags which weren't exposed to user space so 
far have been moved to include/uapi/linux/if.h, isn't that wrong?

Or.

> /* Private (from user) interface flags (netdevice->priv_flags). */
> #define IFF_802_1Q_VLAN 0x1             /* 802.1Q VLAN device.          */
> #define IFF_EBRIDGE     0x2             /* Ethernet bridging device.    */
> [...]                                  * change when it's running */